Skip to main content
Get a team configuration
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/4/cases/cases/team-configs/v1/configs/{id} \
  --header 'Authorization: <api-key>'
{
  "teamConfig": {
    "caseLifecycle": {
      "autoResolve": {
        "enabled": true,
        "inactivePeriod": "3600s"
      },
      "resolutionSnoozePeriod": "600s",
      "suppressionPeriod": "3600s"
    },
    "createTime": "2025-09-22T10:30:00.000Z",
    "globalIndicatorSettings": {
      "enabled": true,
      "filteringConditions": [
        {
          "enabled": true,
          "entityLabels": {
            "all": {}
          },
          "priorities": {
            "values": {
              "items": [
                "INDICATOR_PRIORITY_UNSPECIFIED"
              ]
            }
          }
        }
      ]
    },
    "id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
    "name": "Default Team Config",
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

ID of the team configuration

Example:

"8c0c02a3-3c1c-4d56-9a2d-9f6ab6a4b321"

Response

teamConfig
Team configuration · object
required

Team-level configuration entity for case management.